import React, { Component } from 'react';
import PropTypes from 'prop-types';

import PageTitle from './PageTitle';


require('./title.scss');


class DetailTitle extends Component {


	render() {
		let { title, hidden, buttons, titleIcon } = this.props;
		return (
			<div className="flexTitle">
				<div className="float-left">
					<PageTitle title={ title } hidden={ hidden } titleIcon={ titleIcon } />
				</div>
				<div className="float-right">
					{ buttons }
				</div>
			</div>
		);
	}


}

export default DetailTitle;